package com.chinaitop.depot.utils;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public class DataPolicyEngine {
	//log信息输出对象
	protected static final Log log = LogFactory.getLog(DataPolicyEngine.class); 

	//本地线程，用于存储线程公共对象
	private static ThreadLocal threadLocalSession = new ThreadLocal();

	public static ThreadLocal getThreadLocalSession() {
		return threadLocalSession;
	}

	public static void set(Object obj) {
		threadLocalSession.set(obj);

	}

	public static Object get() {
		return threadLocalSession.get();

	}

	public static void remove() {
		threadLocalSession.remove();

	}
	
	
}

