package com.chinaitop.depot.device.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.chinaitop.depot.device.model.BusinessImPurchaseSale;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 智能管理-综合业务管理-采购销售管理表 Mapper 接口
 * </p>
 *
 * @author root
 * @since 2024-06-06
 */
@Mapper
public interface BusinessImPurchaseSaleMapper extends BaseMapper<BusinessImPurchaseSale> {

    List<BusinessImPurchaseSale> getList(@Param("purchaseCode") String purchaseCode,
                                         @Param("purchasePlanName") String purchasePlanName,
                                         @Param("orgId") Integer orgId);

    //int insertBusinessImPurchaseSale(BusinessImPurchaseSale businessImPurchaseSale);


    /**
     * @author: hujianchun
     * @Description:
     * @param:
     * @return: 采购销售管理-详情
     */
    BusinessImPurchaseSale getById(String id);
}
