package com.chinaitop.depot.device.model;

import java.util.Date;

public class BusinessImAsset {
    private Integer id;

    private String createname;

    private Date createdate;

    private String updatename;

    private Date updatedate;

    private Integer orgId;

    private String assetCode;

    private Integer assetStatus;

    private Integer assetCategory;

    private String assetName;

    private String specificationModel;

    private String serialNumber;

    private String userPersonnel;

    /**
     * 主键ID
     * @return id 主键ID
     */
    public Integer getId() {
        return id;
    }

    /**
     * 主键ID
     * @param id 主键ID
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 创建人
     * @return createname 创建人
     */
    public String getCreatename() {
        return createname;
    }

    /**
     * 创建人
     * @param createname 创建人
     */
    public void setCreatename(String createname) {
        this.createname = createname == null ? null : createname.trim();
    }

    /**
     * 创建日期
     * @return createdate 创建日期
     */
    public Date getCreatedate() {
        return createdate;
    }

    /**
     * 创建日期
     * @param createdate 创建日期
     */
    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    /**
     * 更新人
     * @return updatename 更新人
     */
    public String getUpdatename() {
        return updatename;
    }

    /**
     * 更新人
     * @param updatename 更新人
     */
    public void setUpdatename(String updatename) {
        this.updatename = updatename == null ? null : updatename.trim();
    }

    /**
     * 更新日期
     * @return updatedate 更新日期
     */
    public Date getUpdatedate() {
        return updatedate;
    }

    /**
     * 更新日期
     * @param updatedate 更新日期
     */
    public void setUpdatedate(Date updatedate) {
        this.updatedate = updatedate;
    }

    /**
     * 单位id
     * @return org_id 单位id
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 单位id
     * @param orgId 单位id
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 资产编号
     * @return asset_code 资产编号
     */
    public String getAssetCode() {
        return assetCode;
    }

    /**
     * 资产编号
     * @param assetCode 资产编号
     */
    public void setAssetCode(String assetCode) {
        this.assetCode = assetCode == null ? null : assetCode.trim();
    }

    /**
     * 资产状态，1：正常；2：报废；3：维修；4：投入使用；5：闲置；6：出售；
     * @return asset_status 资产状态，1：正常；2：报废；3：维修；4：投入使用；5：闲置；6：出售；
     */
    public Integer getAssetStatus() {
        return assetStatus;
    }

    /**
     * 资产状态，1：正常；2：报废；3：维修；4：投入使用；5：闲置；6：出售；
     * @param assetStatus 资产状态，1：正常；2：报废；3：维修；4：投入使用；5：闲置；6：出售；
     */
    public void setAssetStatus(Integer assetStatus) {
        this.assetStatus = assetStatus;
    }

    /**
     * 资产分类，1：储量设备；2：输送设备；3：清理设备；4：搅拌设备；
     * @return asset_category 资产分类，1：储量设备；2：输送设备；3：清理设备；4：搅拌设备；
     */
    public Integer getAssetCategory() {
        return assetCategory;
    }

    /**
     * 资产分类，1：储量设备；2：输送设备；3：清理设备；4：搅拌设备；
     * @param assetCategory 资产分类，1：储量设备；2：输送设备；3：清理设备；4：搅拌设备；
     */
    public void setAssetCategory(Integer assetCategory) {
        this.assetCategory = assetCategory;
    }

    /**
     * 资产名称
     * @return asset_name 资产名称
     */
    public String getAssetName() {
        return assetName;
    }

    /**
     * 资产名称
     * @param assetName 资产名称
     */
    public void setAssetName(String assetName) {
        this.assetName = assetName == null ? null : assetName.trim();
    }

    /**
     * 规格型号
     * @return specification_model 规格型号
     */
    public String getSpecificationModel() {
        return specificationModel;
    }

    /**
     * 规格型号
     * @param specificationModel 规格型号
     */
    public void setSpecificationModel(String specificationModel) {
        this.specificationModel = specificationModel == null ? null : specificationModel.trim();
    }

    /**
     * 序列号
     * @return serial_number 序列号
     */
    public String getSerialNumber() {
        return serialNumber;
    }

    /**
     * 序列号
     * @param serialNumber 序列号
     */
    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber == null ? null : serialNumber.trim();
    }

    /**
     * 使用人员
     * @return user_personnel 使用人员
     */
    public String getUserPersonnel() {
        return userPersonnel;
    }

    /**
     * 使用人员
     * @param userPersonnel 使用人员
     */
    public void setUserPersonnel(String userPersonnel) {
        this.userPersonnel = userPersonnel == null ? null : userPersonnel.trim();
    }
}