package com.chinaitop.depot.device.model.param;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author hjc
 * @version 1.0
 * @Description
 * @date 2024/6/6 14:20
 */

public class BusinessImPurchaseSalePageParam {

    /**
     * 当前页
     */
    @ApiModelProperty(value = "页码")
    private Integer pageNum;

    /**
     * 每页条数
     */
    @ApiModelProperty(value = "每页条数")
    private Integer pageSize;

    /**
     * 采购编号
     */
    @ApiModelProperty(value = "采购编号", position = 7)
    private String purchaseCode;

    /**
     * 采购计划名称
     */
    @ApiModelProperty(value = "采购计划名称", position = 8)
    private String purchasePlanName;

    /**
     * 采购编号
     */
    @ApiModelProperty(value = "组织id", position = 9)
    private Integer orgId;

    public Integer getOrgId() {
        return orgId;
    }

    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    public Integer getPageNum() {
        return pageNum;
    }

    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public String getPurchaseCode() {
        return purchaseCode;
    }

    public void setPurchaseCode(String purchaseCode) {
        this.purchaseCode = purchaseCode;
    }

    public String getPurchasePlanName() {
        return purchasePlanName;
    }

    public void setPurchasePlanName(String purchasePlanName) {
        this.purchasePlanName = purchasePlanName;
    }
}
