package com.chinaitop.depot.device.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.chinaitop.depot.device.model.BusinessImPurchaseSale;
import com.chinaitop.depot.device.model.param.BusinessImPurchaseSaleAddParam;
import com.chinaitop.depot.device.model.param.BusinessImPurchaseSaleEditParam;
import com.chinaitop.depot.device.model.param.BusinessImPurchaseSalePageParam;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageInfo;

/**
 * <p>
 * 智能管理-综合业务管理-采购销售管理表 服务类
 * </p>
 *
 * @author root
 * @since 2024-06-06
 */
public interface BusinessImPurchaseSaleService extends IService<BusinessImPurchaseSale> {

    /**
     * @author: hujianchun
     * @Description:
     * @param:
     * @return: 查询 采购销售管理 信息列表
     */
    PageInfo<BusinessImPurchaseSale> getList(BusinessImPurchaseSalePageParam pageParam);

    /**
     * @author: hujianchun
     * @Description:
     * @param:
     * @return: 采购销售管理-新增
     */
    int saveData(BusinessImPurchaseSaleAddParam param);

    /**
     * @author: hujianchun
     * @Description:
     * @param:
     * @return: 采购销售管理-详情
     */
    BusinessImPurchaseSale getById(String id);

    /**
     * @author: hujianchun
     * @Description:
     * @param:
     * @return: 采购销售管理-修改
     */
    int updateData(BusinessImPurchaseSaleEditParam param);

    /**
     * @author: hujianchun
     * @Description:
     * @param:
     * @return: 采购销售管理-删除
     */
    int deleteData(String id);


    void saveOrUpdateBusinessImPurchaseSale(BusinessImPurchaseSale businessImPurchaseSale);
}
