package com.chinaitop.depot.device.service.impl;

import com.chinaitop.depot.device.mapper.DSbxxsjyMapper;
import com.chinaitop.depot.device.model.DSbxxsjy;
import com.chinaitop.depot.device.model.DSbxxsjyExample;
import com.chinaitop.depot.device.service.DSblxxjyService;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;
import org.springframework.util.LinkedMultiValueMap;
import org.springframework.util.MultiValueMap;
import org.springframework.web.client.RestTemplate;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author qingsong.han
 * @description:
 * @create 2020-03-20 13:50
 */
@Service
public class DSblxxjyServiceImpl implements DSblxxjyService {
    @Resource
    private DSbxxsjyMapper sbxxsjyMapper;
    
    @Resource
    private RestTemplate restTemplate;

    @Value("${jsgjjsjUrl}")
    private String jsgjjsjUrl;
    
    @Override
    public List<DSbxxsjy> getList(DSbxxsjyExample example) {
        return sbxxsjyMapper.selectByExample(example);
    }

    @Override
    public void save(DSbxxsjy dSbxxsjy) {
        sbxxsjyMapper.insert(dSbxxsjy);
        this.gjjjk(dSbxxsjy.getSbbh(),dSbxxsjy.getSzdwdm(),"i");
        
    }

    @Override
    public void update(DSbxxsjy dSbxxsjy) {
        DSbxxsjyExample example = new DSbxxsjyExample();
        DSbxxsjyExample.Criteria criteria = example.createCriteria();
        criteria.andSbbhEqualTo(dSbxxsjy.getSbbh());
        sbxxsjyMapper.updateByExampleSelective(dSbxxsjy,example);
        
        this.gjjjk(dSbxxsjy.getSbbh(),dSbxxsjy.getSzdwdm(),"u");
    }

    @Override
    public void remove(String sbbh, String s) {
        DSbxxsjyExample example = new DSbxxsjyExample();
        DSbxxsjyExample.Criteria criteria = example.createCriteria();
        criteria.andSbbhEqualTo(sbbh);
        criteria.andSzdwdmEqualTo(s);
        sbxxsjyMapper.deleteByExample(example);
        
        this.gjjjk(sbbh,s,"d");
        
    }
    
    
    /**
	 * 国家局数据
	 */
    public void gjjjk(String sbbh, String orgId,String czbz) {
    	
		String tableName = "ODS_UP_SBXXJK";
		/**
         * restTemplate调用
         */
        //String url = "http://localhost:9022/recPublish/sendMessage";//
        //发送post请求，并打印结果，以String类型接收响应结果JSON字符串
		
        MultiValueMap<String, Object> sendMap = new LinkedMultiValueMap<>();
		sendMap.add("tableName", tableName);
		sendMap.add("czbz", czbz);
		sendMap.add("ywId", sbbh);
		sendMap.add("orgId", orgId);

        restTemplate.postForObject(jsgjjsjUrl, sendMap, String.class);
    }
    
}
